=== utils/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

set(EXECUTABLE_OUTPUT_PATH  ${CMAKE_BINARY_DIR})
install(PROGRAMS camera-bug-report DESTINATION bin)
