=== debian/changelog ===
libcamera-apps (0~git20220228+really~git20220131+7ac5197-1~bpo10~1) buster; urgency=medium

  * Downgrade final Buster release to compatible version

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 28 Mar 2022 18:49:26 +0100

libcamera-apps (0~git20220131+7ac5197-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20220131+7ac5197

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 01 Feb 2022 14:06:59 +0000

libcamera-apps (0~git20220105+b9a6923-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20220105+b9a6923

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 07 Jan 2022 11:15:38 +0000

libcamera-apps (0~git20211129+2e083a9-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20211129+2e083a9

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 29 Nov 2021 13:49:40 +0000

libcamera-apps (0~git20211021+2a38ae9-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20211021+2a38ae9
  * Remove git_hash

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 21 Oct 2021 15:34:45 +0100

libcamera-apps (0~git20211012+4bb06a1-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20211012+4bb06a1
  * Add libcamera-apps-lite with X11 and Qt dependencies removed
  * Disable OpenCV support
  * Embed git sha1sum in binary version output
  * Force ldconfig trigger

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 15 Oct 2021 15:21:51 +0100

libcamera-apps (0~git20211001+c6f4a83-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20211001+c6f4a83

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 01 Oct 2021 13:10:17 +0100

libcamera-apps (0~git20210915+4868f69-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20210915+4868f69

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 15 Sep 2021 10:45:49 +0100

libcamera-apps (0~git20210909+cca297e-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20210909+cca297e

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Sep 2021 15:30:28 +0100

libcamera-apps (0~git20210908+f7d42ac-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20210908+f7d42ac
  * Add libopencv-dev build dependency

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Sep 2021 13:33:46 +0100

libcamera-apps (0~git20210824+b1d84d8-1~bpo10~0) buster; urgency=medium

  * Update gbp.conf
  * Buster rebuild

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 06 Sep 2021 13:57:51 +0100

libcamera-apps (0~git20210824+b1d84d8-1) bullseye; urgency=medium

  * Initial release

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 02 Sep 2021 15:41:30 +0100
