=== debian/changelog ===
libcamera-apps (1.3.0-1) bookworm; urgency=medium

  * New upstream version 1.3.0

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 23 Oct 2023 10:34:41 +0100

libcamera-apps (1.2.2-1) bookworm; urgency=medium

  * New upstream version 1.2.2

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 27 Sep 2023 13:32:26 +0100

libcamera-apps (1.2.1-1) bullseye; urgency=medium

  * New upstream version 1.2.1
  * Switch to Meson

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jul 2023 08:21:25 +0100

libcamera-apps (0~git20230301+54a781d-1) bullseye; urgency=medium

  * New upstream version 0~git20230301+54a781d

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 01 Mar 2023 15:55:49 +0000

libcamera-apps (0~git20230125+9f08463-1) bullseye; urgency=medium

  * New upstream version 0~git20230125+9f08463

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 26 Jan 2023 16:18:56 +0000

libcamera-apps (0~git20230124+77a03d9-1) bullseye; urgency=medium

  * New upstream version 0~git20230124+77a03d9

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 24 Jan 2023 15:28:23 +0000

libcamera-apps (0~git20230104+4fea2ee-1) bullseye; urgency=medium

  * New upstream version 0~git20230104+4fea2ee

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 06 Jan 2023 01:41:00 +0000

libcamera-apps (0~git20221201+9c5d319-1) bullseye; urgency=medium

  * New upstream version 0~git20221201+9c5d319

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 02 Dec 2022 19:46:52 +0000

libcamera-apps (0~git20221109+73ab09f-1) bullseye; urgency=medium

  * New upstream version 0~git20221109+73ab09f

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 09 Nov 2022 14:19:35 +0000

libcamera-apps (0~git20221018+b89cc36-2) bullseye; urgency=medium

  * Rebuild against a newer version of libcamera

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 19 Oct 2022 13:58:46 +0100

libcamera-apps (0~git20221018+b89cc36-1) bullseye; urgency=medium

  * New upstream version 0~git20221018+b89cc36

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 18 Oct 2022 13:28:07 +0100

libcamera-apps (0~git20220830+1bf0cca-1) bullseye; urgency=medium

  * New upstream version 0~git20220830+1bf0cca

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 31 Aug 2022 16:51:41 +0100

libcamera-apps (0~git20220707+35266e8-1) bullseye; urgency=medium

  * New upstream version 0~git20220707+35266e8
  * Build libcamera-apps-lite without libav support

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 07 Jul 2022 18:47:37 +0100

libcamera-apps (0~git20220630+765bb46-2) bullseye; urgency=medium

  * Add new build dependencies:
    - libavcodec-dev
    - libavdevice-dev
    - libavformat-dev
    - libswresample-dev

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 05 Jul 2022 14:42:11 +0100

libcamera-apps (0~git20220630+765bb46-1) bullseye; urgency=medium

  * New upstream version 0~git20220630+765bb46

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 05 Jul 2022 11:12:03 +0100

libcamera-apps (0~git20220228+0dc5ea0-1) bullseye; urgency=medium

  * New upstream version 0~git20220228+0dc5ea0

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 04 Mar 2022 10:10:33 +0000

libcamera-apps (0~git20220131+7ac5197-1) bullseye; urgency=medium

  * New upstream version 0~git20220131+7ac5197

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 01 Feb 2022 14:06:22 +0000

libcamera-apps (0~git20220105+b9a6923-1) bullseye; urgency=medium

  * New upstream version 0~git20220105+b9a6923

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 07 Jan 2022 11:15:07 +0000

libcamera-apps (0~git20211129+2e083a9-1) bullseye; urgency=medium

  * New upstream version 0~git20211129+2e083a9

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 29 Nov 2021 13:49:05 +0000

libcamera-apps (0~git20211021+2a38ae9-1) bullseye; urgency=medium

  * New upstream version 0~git20211021+2a38ae9
  * Remove git_hash

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 21 Oct 2021 15:33:56 +0100

libcamera-apps (0~git20211012+4bb06a1-1) bullseye; urgency=medium

  * New upstream version 0~git20211012+4bb06a1
  * Add libcamera-apps-lite with X11 and Qt dependencies removed
  * Disable OpenCV support
  * Embed git sha1sum in binary version output
  * Force ldconfig trigger

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 14 Oct 2021 16:42:33 +0100

libcamera-apps (0~git20211001+c6f4a83-1) bullseye; urgency=medium

  * New upstream version 0~git20211001+c6f4a83

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 01 Oct 2021 12:53:15 +0100

libcamera-apps (0~git20210915+4868f69-1) bullseye; urgency=medium

  * New upstream version 0~git20210915+4868f69

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 15 Sep 2021 10:45:29 +0100

libcamera-apps (0~git20210909+cca297e-1) bullseye; urgency=medium

  * New upstream version 0~git20210909+cca297e

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Sep 2021 15:30:03 +0100

libcamera-apps (0~git20210908+f7d42ac-1) bullseye; urgency=medium

  * New upstream version 0~git20210908+f7d42ac
  * Add libopencv-dev build dependency

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Sep 2021 13:33:24 +0100
